Get Platform Config

Get Platform Config
Get full platform configuration by ID

Retrieves the complete, detailed configuration specification for a specific platform deployment. This includes compute, network, service, and system configurations.

Request
URI
GET
https://{api_host}/https://{api_host}:{port}/lh-appliance/platforms/{platform-id}
COPY
Path Parameters
string
platform-id
Required

A globally unique UUID representing the platform. This is the ID returned when initially calling POST /sspi/platforms.

platform-id example
434348d8-681e-4809-8dc1-427127d2bee7

Authentication
This operation uses the following authentication methods.
Responses
200

The platform configuration.

Returns LicenseHubConfig of type(s) application/json
This response body class contains all of the following: ManagedResource , InlineLicenseHubConfig1
{
    "_create_user": "string",
    "_create_time": 0,
    "_last_modified_user": "string",
    "_last_modified_time": 0,
    "_revision": 0,
    "_resource_type": "string",
    "_system_owned": false,
    "id": "string",
    "display_name": "string",
    "description": "string",
    "site_ids": [
        "string"
    ],
    "desired_state": "string",
    "provider_id": "string",
    "network": {
        "ntp": "string",
        "dns": [
            "string"
        ],
        "search_domain": "string",
        "network_configs": [
            {
                "platform_subnet": "string",
                "platform_default_gateway": "string",
                "service_pools": [
                    {
                        "start": "string",
                        "end": "string",
                        "name": "string"
                    }
                ]
            }
        ]
    },
    "service": {
        "ingress_fqdn": "string",
        "kafka_fqdn": "string",
        "ssp_bundle_version": "string",
        "password_configuration": {
            "admin_password": "string",
            "audit_password": "string"
        },
        "instance_name": "string"
    },
    "instance_id": "string"
}

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


default

An error occurred while checking the SSPI service.

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/https://{api_host}:{port}/lh-appliance/platforms/{platform-id}